import * as beet from '@metaplex-foundation/beet';
export type CreateOrUpdateArgsRecord = {
    V1: {
        serializedRuleSet: Uint8Array;
        ruleSetComplete: boolean;
    };
};
export type CreateOrUpdateArgs = beet.DataEnumKeyAsKind<CreateOrUpdateArgsRecord>;
export declare const isCreateOrUpdateArgsV1: (x: CreateOrUpdateArgs) => x is {
    __kind: "V1";
} & Omit<{
    serializedRuleSet: Uint8Array;
    ruleSetComplete: boolean;
}, "void"> & {
    __kind: 'V1';
};
export declare const createOrUpdateArgsBeet: beet.FixableBeet<{
    __kind: "V1";
} & Omit<{
    serializedRuleSet: Uint8Array;
    ruleSetComplete: boolean;
}, "void">, {
    __kind: "V1";
} & Omit<{
    serializedRuleSet: Uint8Array;
    ruleSetComplete: boolean;
}, "void">>;
